## kf6-karchive 6.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.18.0") # handled by release scripts
project(KArchive VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

option(WITH_BZIP2 "Make bzip2 required" ON)
option(WITH_LIBLZMA "Make liblzma required" ON)
option(WITH_OPENSSL "Make openssl required" ON)
option(WITH_LIBZSTD "Make libzstd required" ON)

option(BUILD_FUZZERS "Build KArchive fuzzers" OFF)

set(PKGCONFIG_REQUIRED_TYPE "")

if(WITH_BZIP2)
    set(BZIP2_PACKAGE_TYPE "REQUIRED")
else()
    set(BZIP2_PACKAGE_TYPE "RECOMMENDED")
endif()

if(WITH_LIBLZMA)
    set(LIBLZMA_PACKAGE_TYPE "REQUIRED")
else()
    set(LIBLZMA_PACKAGE_TYPE "RECOMMENDED")
endif()

if(WITH_OPENSSL)
    set(OPENSSL_PACKAGE_TYPE "REQUIRED")
else()
    set(OPENSSL_PACKAGE_TYPE "RECOMMENDED")
endif()

if(WITH_LIBZSTD)
    set(PKGCONFIG_REQUIRED_TYPE "REQUIRED")
    set(LIBZSTD_REQUIRED_TYPE "REQUIRED")
else()
    set(LIBZSTD_REQUIRED_TYPE "")
endif()

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMGenerateQDoc)

include(ECMGenerateExportHeader)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES
    URL "https://www.zlib.net"
    DESCRIPTION "Support for gzip compressed files and data streams"
    TYPE REQUIRED
    PURPOSE "Support for gzip compressed files and data streams"
)

find_package(BZip2)
set_package_properties(BZip2 PROPERTIES
    URL "https://sourceware.org/bzip2/"
    DESCRIPTION "Support for BZip2 compressed files and data streams"
    TYPE ${BZIP2_PACKAGE_TYPE}
    PURPOSE "Support for BZip2 compressed files and data streams"
)

find_package(LibLZMA)
set_package_properties(LibLZMA PROPERTIES
    URL "https://tukaani.org/xz/"
    DESCRIPTION "Support for xz compressed files and data streams"
    TYPE ${LIBLZMA_PACKAGE_TYPE}
    PURPOSE "Support for xz compressed files and data streams"
)

find_package(OpenSSL)
set_package_properties(OpenSSL PROPERTIES
    URL "https://www.openssl.org/"
    DESCRIPTION "Support for encrypted archives"
    TYPE ${OPENSSL_PACKAGE_TYPE}
    PURPOSE "Support for encrypted archives"
)


find_package(PkgConfig ${PKGCONFIG_REQUIRED_TYPE})
if (PkgConfig_FOUND)
    pkg_check_modules(LibZstd ${LIBZSTD_REQUIRED_TYPE} IMPORTED_TARGET "libzstd")
endif()
add_feature_info(LibZstd LibZstd_FOUND
                "Support for zstd compressed files and data streams"
)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMPoQmTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(karchive_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/karchive_version.h")
ecm_setup_version(PROJECT
    VARIABLE_PREFIX KARCHIVE
    VERSION_HEADER "${karchive_version_header}"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6ArchiveConfigVersion.cmake"
    SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.10
)


add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if (BUILD_FUZZERS)
    add_subdirectory(autotests/ossfuzz)
endif()

ecm_install_po_files_as_qm(poqm)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Archive")

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6ArchiveConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6ArchiveConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES ${karchive_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KArchive
        COMPONENT Devel)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF6ArchiveConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF6ArchiveConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF6ArchiveTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6ArchiveTargets.cmake
        NAMESPACE KF6::)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== examples/bzip2gzip/CMakeLists.txt ===
project(BZip2GZip)

find_package(KF6Archive ${KF_VERSION} REQUIRED)

add_executable(bzip2gzip main.cpp)
target_link_libraries(bzip2gzip KF6::Archive)

=== examples/unzipper/CMakeLists.txt ===
project(Unzipper)

find_package(KF6Archive ${KF_VERSION} REQUIRED)

add_executable(unzipper main.cpp)
target_link_libraries(unzipper KF6::Archive)

=== debian/changelog ===
kf6-karchive (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Remove patches that have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:14:10 +0200

=== debian/control ===
Source: kf6-karchive
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libbz2-dev,
               liblzma-dev,
               libssl-dev,
               libzstd-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.5.0~),
               zlib1g-dev,
               zstd <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/karchive
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive.git
Rules-Requires-Root: no

Package: libkf6archive-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for karchive
 Karchive is a Qt 6 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the data files.

Package: libkf6archive-dev
Section: libdevel
Architecture: any
Depends: libkf6archive6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libkf6archive-doc (= ${source:Version}),
Description: development files for karchive
 Karchive is a Qt 6 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6archive-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt 6 addon providing access to numerous types of archives (documentation)
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6archive6
Architecture: any
Multi-Arch: same
Depends: libkf6archive-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 addon providing access to numerous types of archives
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## kf6-karchive 6.19.0

=== debian/changelog ===
kf6-karchive (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:04:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,35 @@
 Source: kf6-karchive
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                libbz2-dev,
                liblzma-dev,
                libssl-dev,
                libzstd-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                zlib1g-dev,
-               zstd <!nocheck>,
-Standards-Version: 4.7.2
+               zstd,
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/karchive
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-karchive
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-karchive
 Rules-Requires-Root: no
 
 Package: libkf6archive-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: data files for karchive
  Karchive is a Qt 6 addon providing access to numerous types of archives.
  .
@@ -46,7 +47,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6archive6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6archive-doc (= ${source:Version}),
 Description: development files for karchive

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/karchive-(.*)\.tar\.xz

## kf6-karchive 6.19.0+p24.04+vstable+git20251015.0811

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(KArchive VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-karchive (6.19.0+p24.04+vstable+git20251015.0811-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:11:23 +0000

kf6-karchive (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:46:51 +0000

kf6-karchive (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:31:41 +0000

kf6-karchive (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:07:30 +0000

kf6-karchive (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 05:59:53 +0000

kf6-karchive (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:35:52 +0000

kf6-karchive (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:23:06 +0000

kf6-karchive (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:42:40 +0000

kf6-karchive (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:48:37 +0000

kf6-karchive (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:16:22 +0000

kf6-karchive (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:28:09 +0000

kf6-karchive (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:12:25 +0000

kf6-karchive (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:20:18 +0000

kf6-karchive (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:14:57 +0000

kf6-karchive (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:21:37 +0000

kf6-karchive (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:16:02 +0000

kf6-karchive (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:34:14 +0000

kf6-karchive (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:26:50 +1000

kf6-karchive (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:49:05 +0000

kf6-karchive (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:12:36 +0000

kf6-karchive (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-karchive (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-karchive 6.19.0+p24.04+vstable+git20251019.0047

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
 
 include(ECMGenerateExportHeader)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6Core ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
 find_package(ZLIB)

=== debian/changelog ===
kf6-karchive (6.19.0+p24.04+vstable+git20251019.0047-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:47:04 +0000

=== debian/control ===
Source: kf6-karchive
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libbz2-dev,
               liblzma-dev,
               libzstd-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/karchive
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-karchive.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-karchive
Maintainer: Neon CI <neon@kde.org>

Package: kf6-karchive
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Replaces: libkf6archive-data, libkf6archive-doc, libkf6archive6
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 addon providing access to numerous types of archives.
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.

Package: kf6-karchive-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Replaces: libkf6archive-dev
Depends: kf6-karchive (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: Qt 6 addon providing access to numerous types of archives.
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6archive-data
Architecture: all
Depends: kf6-karchive, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6archive-doc
Architecture: all
Depends: kf6-karchive, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6archive6
Architecture: all
Depends: kf6-karchive, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6archive-dev
Architecture: all
Depends: kf6-karchive-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-karchive 6.19.0+p24.04+vstable+git20251031.0709

=== debian/changelog ===
kf6-karchive (6.19.0+p24.04+vstable+git20251031.0709-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:09:40 +0000

## kf6-karchive 6.19.0+p24.04+vunstable+git20251111.0306

=== debian/changelog ===
kf6-karchive (6.19.0+p24.04+vunstable+git20251111.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 03:06:36 +0000

## kf6-karchive 6.20.0

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
include(ECMAddTests)

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
find_package(Qt6Network)

if(NOT Qt6Test_FOUND)
    message(STATUS "Qt6Test not found, autotests will not be built.")
    return()
endif()

ecm_add_tests(
    karchivetest.cpp
    kfiltertest.cpp
    LINK_LIBRARIES KF6::Archive Qt6::Test
)

target_link_libraries(kfiltertest ZLIB::ZLIB)

########### klimitediodevicetest ###############

ecm_add_test(
    klimitediodevicetest.cpp
	../src/klimitediodevice.cpp
    TEST_NAME klimitediodevicetest
	LINK_LIBRARIES Qt6::Test
)

target_include_directories(klimitediodevicetest
	PRIVATE $<TARGET_PROPERTY:KF6Archive,INTERFACE_INCLUDE_DIRECTORIES>)

target_compile_definitions(klimitediodevicetest PRIVATE TEST_MODE)

########## kcompressiondevicetest ##############
function(check_and_create_tar help_option program_name compression_option extension)
    # cmake doesn't support creating zstd/lzip files so run tar directly
    # which is a bit annoying since not all tars support zstd/lzip either
    # so we first check that the installed tar has the --zstd/--lzip
    # option and then we check that the zstd/lzip binary is available

    execute_process(COMMAND tar --help OUTPUT_VARIABLE TAR_OUTPUT)
    if (TAR_OUTPUT MATCHES ${help_option})
        find_program(${program_name}_PROGRAM_FOUND ${program_name})
        if (${program_name}_PROGRAM_FOUND)
            add_custom_command(TARGET kcompressiondevicetest POST_BUILD
                COMMAND tar ${compression_option} -cf
                ${testDir}/kcompressiondevice_test.tar.${extension} examples
                WORKING_DIRECTORY ${topdir})

            string(TOUPPER ${program_name} program_name_upper)
            target_compile_definitions(kcompressiondevicetest PRIVATE HAVE_${program_name_upper}_SUPPORT_FILE)
        endif()
    endif()
endfunction()

if (Qt6Network_FOUND)
    ecm_add_test(
        kcompressiondevicetest.cpp
        LINK_LIBRARIES KF6::Archive Qt6::Test Qt6::Network
    )

    set(testDir $<TARGET_FILE_DIR:kcompressiondevicetest>)
    get_filename_component(topdir ${CMAKE_CURRENT_SOURCE_DIR}/.. ABSOLUTE)

    add_custom_command(TARGET kcompressiondevicetest POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E tar czf
        ${testDir}/kcompressiondevice_test.tar.gz examples
        WORKING_DIRECTORY ${topdir})
    add_custom_command(TARGET kcompressiondevicetest POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E tar cjf
        ${testDir}/kcompressiondevice_test.tar.bz2 examples
        WORKING_DIRECTORY ${topdir})

    if (LIBLZMA_FOUND)
        add_custom_command(TARGET kcompressiondevicetest POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E tar cJf
            ${testDir}/kcompressiondevice_test.tar.xz examples
            WORKING_DIRECTORY ${topdir})

        check_and_create_tar(".*--lzip.*" "lzip" "--lzip" "lz")
    endif()

    if (LibZstd_FOUND)
        check_and_create_tar(".*--zstd.*" "zstd" "--zstd" "zst")
    endif()
endif()

=== debian/changelog ===
kf6-karchive (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:07:40 +0100

=== debian/control ===
Source: kf6-karchive
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libbz2-dev,
               liblzma-dev,
               libssl-dev,
               libzstd-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               zlib1g-dev,
               zstd <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/karchive
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive.git
Rules-Requires-Root: no

Package: libkf6archive-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for karchive
 Karchive is a Qt 6 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the data files.

Package: libkf6archive-dev
Section: libdevel
Architecture: any
Depends: libkf6archive6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6archive-doc (= ${source:Version}),
Description: development files for karchive
 Karchive is a Qt 6 addon providing access to numerous types of archives.
 .
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development files.

Package: libkf6archive-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt 6 addon providing access to numerous types of archives (documentation)
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6archive6
Architecture: any
Multi-Arch: same
Depends: libkf6archive-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 addon providing access to numerous types of archives
 KArchive provides classes for easy reading, creation and manipulation of
 "archive" formats like ZIP and TAR.
 .
 It also provides transparent compression and decompression of data, like the
 GZip format, via a subclass of QIODevice.
 .
 This package is part of KDE Frameworks 6.

## kf6-karchive 6.20.0+p24.04+vunstable+git20251122.0638

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(KArchive VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-karchive (6.20.0+p24.04+vunstable+git20251122.0638-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 06:38:20 +0000

kf6-karchive (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:52 +1000

## kf6-karchive 6.21.0

=== debian/changelog ===
kf6-karchive (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:49:26 +0000

kf6-karchive (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:12:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-karchive
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,26 +10,26 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libbz2-dev,
                liblzma-dev,
                libssl-dev,
                libzstd-dev,
                pkgconf,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
                zlib1g-dev,
-               zstd <!nocheck>,
-Standards-Version: 4.7.2
+               zstd,
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/karchive
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-karchive
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-karchive
 Rules-Requires-Root: no
 
 Package: libkf6archive-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: data files for karchive
  Karchive is a Qt 6 addon providing access to numerous types of archives.
  .
@@ -46,7 +47,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6archive6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6archive-doc (= ${source:Version}),
 Description: development files for karchive

## kf6-karchive 6.21.0+p24.04+vstable+git20260105.0812

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(KArchive VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -112,7 +112,7 @@
     SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10
+    QT 6.11
 )

=== debian/changelog ===
kf6-karchive (6.21.0+p24.04+vstable+git20260105.0812-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:12:39 +0000

kf6-karchive (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:44 +1000

## kf6-karchive 6.21.0+p24.04+vunstable+git20251207.0530

=== debian/changelog ===
kf6-karchive (6.21.0+p24.04+vunstable+git20251207.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:30:53 +0000

## kf6-karchive 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(KArchive VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-karchive (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:28:24 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libbz2-dev,
                liblzma-dev,
                libssl-dev,

## kf6-karchive 6.22.0+p24.04+vstable+git20260106.0843

=== debian/changelog ===
kf6-karchive (6.22.0+p24.04+vstable+git20260106.0843-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 08:43:29 +0000

kf6-karchive (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:45:23 +1000

## kf6-karchive 6.22.0+p24.04+vstable+git20260126.0631

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(KArchive VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-karchive (6.22.0+p24.04+vstable+git20260126.0631-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 06:32:00 +0000

## kf6-karchive 6.22.0+p24.04+vstable+git20260131.1253

=== debian/changelog ===
kf6-karchive (6.22.0+p24.04+vstable+git20260131.1253-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:53:46 +0000

## kf6-karchive 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(KArchive VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-karchive (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,32 @@
 Source: kf6-karchive
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                libbz2-dev,
                liblzma-dev,
                libssl-dev,
                libzstd-dev,
                pkgconf,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
                zlib1g-dev,
-               zstd,
-Standards-Version: 4.7.0
+               zstd <!nocheck>,
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/karchive
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-karchive
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-karchive
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-karchive.git
 
 Package: libkf6archive-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: data files for karchive
  Karchive is a Qt 6 addon providing access to numerous types of archives.
  .
@@ -47,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6archive6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6archive-doc (= ${source:Version}),
 Description: development files for karchive
